Page MenuHomePhabricator

Spike: Release first version of QuickSurveys
Closed, ResolvedPublic

Description

  • Devs should get together and decide what the minimum is that needs to be done before performing a first release.
  • Dev branch should be merged into master with an stable version of the survey.
  • Add a changelog when merged, with a release number and list the features of the version.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 4:35 PM
Jhernandez triaged this task as High priority.Aug 28 2015, 10:22 AM
Jhernandez updated the task description. (Show Details)
Jhernandez set Security to None.
Jhernandez added a subscriber: Jhernandez.

Specified description, set priority, moved to next sprint since this one is over and this is unplanned work.

@Jdlrobson Merge to master when the feature is usable enough to call it a version number :)

Jdlrobson updated the task description. (Show Details)Sep 2 2015, 3:04 PM
Jdlrobson renamed this task from Release first version of QuickSurveys to Spike: Release first version of QuickSurveys.Sep 2 2015, 4:43 PM

@phuedx had these discussions points in T110194

  • No unit tests.
  • ext.quicksurveys.init/init.js uses jQuery to construct a potentially unnecessary DOM element,
  • Discussion of the oojs ui template view approach in general
  • Defer loading of ext.quicksurveys.views might not be necessary.

Thoughts around this:
unit tests: Given we are just displaying stuff, a lack of unit tests kinda makes sense. None of the code concerns me based on the assumption that oojs ui has lots of test coverage. It feels like browser tests are sufficient.
On PHP side SurveyFactory seems the only complicated thing there and that has unit tests.

Jdlrobson closed this task as Resolved.Sep 8 2015, 5:12 PM
Jdlrobson claimed this task.

Team discussed this and decided in current form we are happy to do a release. This will be tracked in T110199